# Uses of Class
org.eclipse.emf.cdo.transfer.CDOTransfer

Packages that use CDOTransfer
Package
Description
org.eclipse.emf.cdo.transfer
Client concepts for dealing with transfers of `resources` between `systems`.
org.eclipse.emf.cdo.transfer.ui
Reusable implementatins of common JFace concepts for dealing with transfers of `resources` between `systems`.
org.eclipse.emf.cdo.transfer.ui.swt
Reusable `controls` for dealing with transfers of `resources` between `systems`.

## Uses of CDOTransfer in org.eclipse.emf.cdo.transfer

Methods in org.eclipse.emf.cdo.transfer that return CDOTransfer
Modifier and Type
Method
Description
`final CDOTransfer`
CDOTransfer.ModelTransferContext.`getTransfer()`
`CDOTransfer`
CDOTransferMapping.`getTransfer()`
Constructors in org.eclipse.emf.cdo.transfer with parameters of type CDOTransfer
Modifier
Constructor
Description
`protected`
`ModelTransferContext(CDOTransfer transfer)`

## Uses of CDOTransfer in org.eclipse.emf.cdo.transfer.ui

Methods in org.eclipse.emf.cdo.transfer.ui that return CDOTransfer
Modifier and Type
Method
Description
`final CDOTransfer`
TransferDialog.`getTransfer()`
`CDOTransfer`
TransferLabelProvider.`getTransfer()`
Methods in org.eclipse.emf.cdo.transfer.ui with parameters of type CDOTransfer
Modifier and Type
Method
Description
`static void`
TransferDialog.`initializeTransfer(CDOTransfer transfer, Collection<CDOTransferElement> sourceElements)`
Constructors in org.eclipse.emf.cdo.transfer.ui with parameters of type CDOTransfer
Modifier
Constructor
Description
``
`TransferDialog(Shell parentShell, CDOTransfer transfer)`
``
`TransferLabelProvider(CDOTransfer transfer)`

## Uses of CDOTransfer in org.eclipse.emf.cdo.transfer.ui.swt

Methods in org.eclipse.emf.cdo.transfer.ui.swt that return CDOTransfer
Modifier and Type
Method
Description
`CDOTransfer`
TransferComposite.`getTransfer()`
`CDOTransfer`
TransferDetailsComposite.`getTransfer()`
`CDOTransfer`
TransferDetailsComposite.UnmappedModelsLabelProvider.`getTransfer()`
`CDOTransfer`
TransferTreeComposite.`getTransfer()`
Methods in org.eclipse.emf.cdo.transfer.ui.swt with parameters of type CDOTransfer
Modifier and Type
Method
Description
`protected void`
TransferDetailsComposite.`initTransferTypes(CDOTransfer transfer)`
Constructors in org.eclipse.emf.cdo.transfer.ui.swt with parameters of type CDOTransfer
Modifier
Constructor
Description
``
`TransferComposite(Composite parent, CDOTransfer transfer)`
``
`TransferDetailsComposite(Composite parent, int style, CDOTransfer transfer)`
``
`TransferTreeComposite(Composite parent, int style, CDOTransfer transfer)`
``
`UnmappedModelsLabelProvider(CDOTransfer transfer)`